FreeBSD : pureftpd -- multiple vulnerabilities (1495f931-8522-11e0-a1c1-00215c6a37bb)

Medium Nessus Plugin ID 54620


The remote FreeBSD host is missing a security-related update.


Pure-FTPd development team reports :

Support for braces expansion in directory listings has been disabled
-- Cf. CVE-2011-0418.

Fix a STARTTLS flaw similar to Postfix's CVE-2011-0411. If you're using TLS, upgrading is recommended.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 54620

File Name: freebsd_pkg_1495f931852211e0a1c100215c6a37bb.nasl

Version: $Revision: 1.9 $

Type: local

Published: 2011/05/24

Modified: 2016/05/09

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:pure-ftpd, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/05/23

Vulnerability Publication Date: 2011/04/01

Reference Information

CVE: CVE-2011-0418, CVE-2011-1575

BID: 46767